Subject: Re: [bug#27661] ISO-9660 image working and ready

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 17 Jul 2017 21:28:37 +0200

Hi Ludo,

> I also vote for returning the ISO directly, for consistency with what
> ‘guix system disk-image’ does for the other formats.  WDYT, Danny?  :-)

Sure, I just don't know how to do that.  The other two files are "system" and "bootcfg" and contain some kind of list of gnu store paths and single-digit numbers.  Anyone can go ahead and remove those - and make it somehow pick the guixsd.iso ... *shrugs*

iso9660-image uses expression->derivation-in-linux-vm to run make-iso9660-image to create /xchg/guixsd.iso - not sure how the other two files came into being.

I could make iso9660-image delete the two other files after the fact, I guess.  But that wouldn't make system-disk-image use just one regular file as the output - without the directory.

load-in-linux-vm has a flag "make-disk-image?".  When not set (and in this case, it's really not set), it does

    (mkdir output)
    (copy-recursively "xchg" output)

.

On the other hand, when set, it creates a huge qemu disk image we don't need.

We could special-case "if there's a guixsd.iso in there, take it instead" there, but doesn't seem so nice, does it?